#
# spec file for package python-texttable
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-texttable
Version:        1.6.7
Release:        2.2
Summary:        Module for creating simple ASCII tables
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/foutaise/texttable/
Source:         https://files.pythonhosted.org/packages/source/t/texttable/texttable-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-base
Recommends:     python-wcwidth
BuildArch:      noarch
%python_subpackages

%description
texttable is a module to generate a formatted text table, using ASCII
characters.

%prep
%setup -q -n texttable-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests.py

%files %{python_files}
%license LICENSE
%doc README.md CHANGELOG.md
%{python_sitelib}/*

%changelog
* Tue Jun 27 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Dec  6 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 1.6.7
  * Get rid of stub file in wheel package (#84)
- Update to 1.6.6
  * Fix regression introduced in 1.6.5 release (#83)
- Update to 1.6.5
  * Modify setup.py to include missing stub file in wheel package (#82)
* Mon Feb 14 2022 Dirk Müller <dmueller@suse.com>
- update to 1.6.4:
  * Fix alignment bug when deco is modified
* Sun Dec 20 2020 Dirk Müller <dmueller@suse.com>
- update to 1.6.3:
  * Improve int conversion
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.6.2:
  * Fix auto-formatting NaN
* Fri Feb 15 2019 John Vandenberg <jayvdb@gmail.com>
- Update to 1.6.1
  * Packaging fixes only
* Fri Feb 15 2019 John Vandenberg <jayvdb@gmail.com>
- Update to 1.6.0
  * Added texttable.pyi
  * Added missing set_header_align method stub
  * Allow chaining of method calls
  * Replace distutils with setuptools
  * Create a method for redefining the max_width
  * Switch to MIT License
  * Use wcwidth if available for better rendering (basic emoji support)
  * Update README.md
* Fri Jul 20 2018 tchvatal@suse.com
- Version update to 1.4.0:
  * Add set_header_align() method (#45)
  * Fix missing textwrapper command when cjkwrap is not used (#43)
  * Remove redundant code for unsupported/EOL Python (#31)
  * Use test_cjkwrap only when cjkwrap is available (#35)
  * Use cjkwrap for better CJK text support (#34)
- Enable tests
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- update to 1.1.1, no upstream changelog available
* Tue Aug 18 2015 jmassaguerpla@suse.com
- fix license to LGPL-3.0+ as in LICENSE file
* Thu Apr  9 2015 fcastelli@suse.com
- Updated to version 0.8.3
* Thu Aug 14 2014 fcastelli@suse.com
- Initial package for version 0.8.1
